Name: libhippo-canvas
Version: 0.3.0
Release: alt1.20080808.M41.1
Summary: A canvas widget
License: GPL
Group: System/Libraries
Url: http://developer.mugshot.org/wiki/Hippo_Canvas
Packager: Sugar Development Team <sugar@packages.altlinux.org>

%def_disable static
%define gtk_ver 2.6.0
%define pango_ver 1.14

# svn export -r7288 http://svn.gnome.org/svn//hippo-canvas/trunk/ hippo-canvas-0.3.0
Source: hippo-canvas-0.3.0-20080808.tar.bz2

BuildPreReq: pkg-config  
BuildPreReq: librsvg-devel >= 2
BuildPreReq: gtk-doc >= 1.6
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libcroco-devel >= 0.6
BuildPreReq: libcairo-devel  
BuildPreReq: libpango-devel >= %pango_ver
BuildPreReq: python-devel  
BuildPreReq: python-module-pycairo-devel  
BuildPreReq: python-module-pygtk-devel

%description
Hippo Canvas is a canvas library based on GTK+2.0, Cairo and Pango.
It is used by the Mugshot client and by the Sugar UI.

%package devel
Summary: Development files for %name
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver
Requires: libcairo-devel  
Requires: libpango-devel >= %pango_ver
Requires: pkg-config  

%description devel
Hippo Canvas is a canvas library based on GTK+2.0, Cairo and Pango.
It is used by the Mugshot client and by the Sugar UI.

%if_enabled static
%package devel-static
Summary: Static libraries for %name
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
Hippo Canvas is a canvas library based on GTK+2.0, Cairo and Pango.
It is used by the Mugshot client and by the Sugar UI.
%endif

%package -n python-module-hippo-canvas
Summary: Python bindings for %name
Group: Development/Python
Requires: %name = %version-%release
Requires: python  
Requires: python-module-pygtk
Requires: python-module-pycairo  

%description -n python-module-hippo-canvas
Hippo Canvas is a canvas library based on GTK+2.0, Cairo and Pango.
It is used by the Mugshot client and by the Sugar UI.

%prep
%setup -v -n hippo-canvas*

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
	--enable-python \
	--enable-gtk-doc \
	%{subst_enable static}
%make_build

%install
%make_install install DESTDIR=%buildroot

%files
%_libdir/*.so*

%files devel
%_includedir/*
%_pkgconfigdir/*.pc
%doc %_datadir/gtk-doc/html/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%files -n python-module-hippo-canvas
%python_sitelibdir/*

%changelog
* Fri Dec 05 2008 Aleksey Lim <alsroot@altlinux.org> 0.3.0-alt1.20080808.M41.1
- port to M41
- switch packager tag to sugar@packages.altlinux.org

* Sun Nov 16 2008 Aleksey Lim <alsroot@altlinux.org> 0.3.0-alt1.20080808
- first build for ALT Linux Sisyphus
